<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "prospect_reputation_scan".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ProspectReputationScan".
 *
 * Columns in table "prospect_reputation_scan" available as properties of the model,
 * followed by relations of table "prospect_reputation_scan" available as properties of the model.
 *
 * @property integer $id
 * @property integer $prospect_provider_practice_id
 * @property string $request
 * @property string $message
 * @property string $date_added
 *
 * @property ProspectProviderPractice $prospectProviderPractice
 */
abstract class BaseProspectReputationScan extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'prospect_reputation_scan';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'ProspectReputationScan|ProspectReputationScans', $n);
    }

    public static function representingColumn()
    {
        return 'request';
    }

    public function rules()
    {
        return array(
            array('prospect_provider_practice_id', 'required'),
            array('prospect_provider_practice_id', 'numerical', 'integerOnly'=>true),
            array('request, message, date_added', 'safe'),
            array('request, message, date_added', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, prospect_provider_practice_id, request, message, date_added', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
            'prospectProviderPractice' => array(self::BELONGS_TO, 'ProspectProviderPractice', 'prospect_provider_practice_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'prospect_provider_practice_id' => null,
            'request' => Yii::t('app', 'Request'),
            'message' => Yii::t('app', 'Message'),
            'date_added' => Yii::t('app', 'Date Added'),
            'prospectProviderPractice' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('prospect_provider_practice_id', $this->prospect_provider_practice_id);
        $criteria->compare('request', $this->request, true);
        $criteria->compare('message', $this->message, true);
        $criteria->compare('date_added', $this->date_added, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
